// augmenter la taille de la mmoire alloue  l'espace de travail scilab

// le programme
n=51;

nn=n^2;

// assemblage de la matrice : une autre mthode encore plus efficace, car plus rapide que la mthode extraction /insertion vue en exercice 1

A=4*diag(sparse(ones(nn,1)),0)-diag(sparse(ones(nn-n,1)),n)-diag(sparse(ones(nn-n,1)),-n)-diag(sparse(ones(nn-1,1)),1)-diag(sparse(ones(nn-1,1)),-1);

x=linspace(0,1,n)'; // vecteur colonne
y=x;
h=1/(n-1);

//second membre
xy=[kron(ones(n,1),x) , kron(y,ones(n,1))];
f=13*%pi^2*h^2*sin(2*%pi*xy(:,1)).*cos(3*%pi*xy(:,2));

//resolution par factorisation de Cholesky
spcho=chfact(A);
z=chsolve(spcho,f);

// format de sortie
Z=matrix(z,n,n);

//affichage
plot3d(x,y,Z);