function XYZ=translation(vect,xyz)
XYZ=vect*ones(1,size(xyz,2))+xyz;
endfunction

function XYZ=rotation(angle,xyz)
angle=angle/180*%pi;
c=cos(angle);
s=sin(angle);

Rx=[1 0 0;0 c(1) s(1);0 -s(1) c(1)];
Ry=[c(2) 0 s(2);0 1 0;-s(2) 0 c(2)];
Rz=[c(3) s(3) 0;-s(3) c(3) 0;0 0 1];

XYZ=Rx*Ry*Rz*xyz;
endfunction

function XYZ=homothetie(centre,f,xyz)
XYZ=translation(centre,diag(f)*translation(-centre,xyz));
endfunction