n=101;

//assemblage de la matrice

A=2*eye(n,n);
A(1:n-1,2:n)=A(1:n-1,2:n)-eye(n-1,n-1);
A(2:n,1:n-1)=A(2:n,1:n-1)-eye(n-1,n-1);

// taille memoire
whos -name A

// matrice creuse
A=sparse(A);
whos -name A

// il vaut donc mieux utiliser les matrices creuses avec les commandes speye, spzeros 

x=linspace(0,1,n)'; // vecteur colonne
h=1/(n-1);
//second membre

f=4*%pi^2*h^2*sin(2*%pi*x);

//resolution par factorisation de Cholesky

spcho=chfact(A);
y=chsolve(spcho,f);

//affichage
plot2d(x,y,style=5);